{% extends 'base.html' %}
{% load gestion_projets_extras %}
{% load static %}

{% block title %}Nouveau sujet{% endblock %}
{% block titlePage %}Nouveau sujet{% endblock %}

{% block menu %}
    {% if user.is_authenticated %}
        {% include "includes/menu.html" with active_tab='tab1' %}
    {% endif %}
{% endblock %}

{% block breadcrumbs %}
<li class="page-item"><a href="{% url 'home' %}" class="page-link"><span class="mif-list"></span></a></li>
<li class="page-item"><a href="{% url 'gestion_projets:subject_list' %}" class="page-link">Sujets</a></li>
<li class="page-item"><a href="{% url 'gestion_projets:subject_new' %}" class="page-link">Nouveau</a></li>
{% endblock %}

{% block content %}
<div class="m-3">
    <div class="panel mt-4" >

        {% if error_message %}<p><strong>{{ error_message }}</strong></p>{% endif %}
        
        <form action="{% url 'gestion_projets:subject_FnNew' %}" method="post">
            {% csrf_token %}
            
            <div class="row p-5">
                <div class="cell-2 text-bold">Titre du sujet</div>
                <div class="cell-10">
                    <input type="text" name="title" data-role="input"  >
                </div>
            </div>

            <div class="row p-5">
                <div class="cell-2 text-bold">Description</div>
                <div class="cell-10"> 
                    <div style="max-height: 350px !important; overflow-y: auto;">
                        <textarea id="description" name="description"></textarea>
                    </div>
                </div>
            </div>
            
            <div class="row p-5">
                <div class="cell-2 text-bold">Difficulté du sujet</div>
                <div class="cell-10">
                    <input name="difficulty" data-role="rating" data-values="1, 2, 3, 4, 5" data-star-color="cyan" ><br>
                </div>
            </div>

            <div class="row p-5">
                <div class="cell-2 text-bold">Tags</div>
                <div class="cell-10">
                    <input type="text" name="tags" data-role="taginput" data-max-tags="5"  >
                    <p>5 tags maximum, séparer les tags par des virgules</p>
                </div>
            </div>

            <div class="row p-5">
                <div class="cell-2 text-bold">Technologies</div>
                <div class="cell-10">
                    <input type="text" name="technologies" data-role="taginput" data-max-tags="5"  >
                    <p>5 technologies maximum (php, android, c++, ...), séparer les technologies par des virgules</p>
                </div>
            </div>
            
            <div class="row p-5">
                <div class="cell-2"> </div>
                <div class="cell-10">
                    <button id="success" class="image-button success" type="submit" value="subject_FnNew">
                        <span class="mif-checkmark icon"></span>
                        <span class="caption">Valider</span>
                    </button>
                </div>
            </div>
        </form>
    </div>
</div>

<script type="module">
    import { initializeCKEditor } from "{% static "js/ckeditor-init.js" %}";
    initializeCKEditor('#description');
</script>
{% endblock %}
